var Cc = Components.classes;
var Ci = Components.interfaces;
var cls = Cc["@mozilla.org/intl/stringbundle;1"];
var svc = cls.getService(Ci.nsIStringBundleService);

var sbundle = svc.createBundle("chrome://notetaker/locale/dialog.properties");
if ( !sbundle ) throw("File dialog.properties not found");

function load_data()
{
  var names = ["summary", "details", "chop-query", "home-page",
  		"width", "height", "top", "left"];
  var box, desc, value;

  var i = names.length -1;
  while (i>=0)
  {
    value = sbundle.GetStringFromName("dialog."+ names[i]);
    desc  = document.createElement("description");
    desc.setAttribute("value",value);
    box   = document.getElementById("dialog." + names[i]);
    box.appendChild(desc);
    i--;
  }
}

function action(task)
{
  if ( task == "edit" || task == "keywords" )
  {
    var card = document.getElementById("dialog." + task);
    var deck = card.parentNode;

    if ( task == "edit" )    deck.selectedIndex = 0;
    if ( task == "keywords") deck.selectedIndex = 1;
  }

  if ( task == "summary" || task == "details" || task == "options" || task == "size" )
  {
    var bc = document.getElementById("toggle-" + task);
    var style = bc.getAttribute("class");

    if ( style == "" || style == "temporary")
      bc.setAttribute("class","disabled");
    else
      bc.setAttribute("class","temporary");
  }
}

function handle_click(e)
{
  var task = "";
  var tag = e.target;
  while ( (task = tag.getAttribute("subpanel")) == ""
          && tag.tagName != "window" )
    tag = tag.parentNode;
  if ( task != "")
    action(task);
}

// "capture" phase event handler
document.addEventListener("click", handle_click, true);

